summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 9cc2527)
raw | patch | inline | side by side (parent: 9cc2527)
author | Junio C Hamano <junkio@cox.net> | |
Mon, 28 Nov 2005 07:18:04 +0000 (23:18 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 29 Nov 2005 07:13:03 +0000 (23:13 -0800) |
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-lost-found.sh | patch | blob | history |
diff --git a/git-lost-found.sh b/git-lost-found.sh
index 9dd7430018f4bfb76c29e77e7fb9365acaa3bd9b..2beec2aa635d2876482294a162923a1dfd1572f6 100755 (executable)
--- a/git-lost-found.sh
+++ b/git-lost-found.sh
#!/bin/sh
-. git-sh-setup
-
+GIT_DIR=`git-rev-parse --git-dir` || exit $?
laf="$GIT_DIR/lost-found"
rm -fr "$laf" && mkdir -p "$laf/commit" "$laf/other" || exit